Subject: Re: Mem Fragmentation - half solved
From: "Ott M. Aaloe" <[email-masked]>
To: [email-masked]
Date: Wed, 31 Aug 1994 13:35:28 +0300 (EETDST)

> wo how about starting a new line once in a while ott! Anyway, the bitmap 
> structure for blitz is just the object size, there is a pointer in this 
> object that point to chipmem, be it a screensbitmap your bitmap or a 
> cludged bitmap. cludgebitmap does not allocate ANY memory, instead uses 
> withwords*height*bitplanes amount of the memory you supplied

So if need to cludge bitmap I do next??

1. Alooc chip
2. Load pure bitmpadata into it
3. Cludge bitmap #, addr,x,y etc.

Now I should have bitmap obkect created by cludgebitmap. Am I right?

> v1.9 contains decode commands that allow you to incbin sound, shapes etc 
> into your program and then decode them, although these commands are 
> accessible in RILibs and Elmore's include library I have decided to 
> internalise them so that memory usage is both tight and tidy (minimum 
> requirements and least amount of fragmenting), hmmm, 

Next question is where can I get V1.9 ;)???

                O.T.T. ([email-masked])